<?php
// Begin Check Function
// $lickey - License Key
// $lockey - Local Key
function check_license($lickey,$lockey) {
    $cubeurl = "http://www.yourdomain.com/store/"; // You store url
    $secret_key = "abc123456"; // Set to unique value of chars, it used for generate local key
    $chdate = date("Ymd");
    $locdays = 10; // How long the local key is valid for in between remote checks
    $checkfaildays = 5; // How many days to allow after local key expiry before blocking access if connection cannot be made
    $locvalid = false;
    if ($lockey) {
        $lockey = str_replace("\n",'',$lockey);
		$locdata = substr($lockey,0,strlen($lockey)-32);
		$md5hash = substr($lockey,strlen($lockey)-32);
        if ($md5hash==md5($locdata.$secret_key)) {
            $locdata = strrev($locdata);
    		$md5hash = substr($locdata,0,32);
    		$locdata = substr($locdata,32);
    		$locdata = base64_decode($locdata);
    		$lockeyresults = unserialize($locdata);
            $originalcheckdate = $lockeyresults["checkdate"];
            if ($md5hash==md5($originalcheckdate.$secret_key)) {
                $localexpiry = date("Ymd",mktime(0,0,0,date("m"),date("d")-$locdays,date("Y")));
                if ($originalcheckdate>$localexpiry) {
                    $locvalid = true;
                    $results = $lockeyresults;
                    $validdomains = explode(",",$results["validdomain"]);
                    if (!in_array($_SERVER['SERVER_NAME'], $validdomains)) {
                        $locvalid = false;
                        $lockeyresults["status"] = "Invalid";
                        $results = array();
                    }
                    $validips = explode(",",$results["validip"]);
                    if (!in_array($_SERVER['SERVER_ADDR'], $validips)) {
                        $locvalid = false;
                        $lockeyresults["status"] = "Invalid";
                        $results = array();
                    }
                }
            }
        }
    }
    if (!$locvalid) {
        $postfields["licensekey"] = $lickey;
        $postfields["domain"] = $_SERVER['SERVER_NAME'];
        $postfields["ip"] = $_SERVER['SERVER_ADDR'];
        $postfields["dir"] = dirname(__FILE__);
        $post = curl_init();
        curl_setopt($post, CURLOPT_URL, $cubeurl."admin/licensing/checkLic.php");
        curl_setopt($post, CURLOPT_POST, 1);
        curl_setopt($post, CURLOPT_POSTFIELDS, $postfields);
        curl_setopt($post, CURLOPT_TIMEOUT, 30);
        curl_setopt($post, CURLOPT_RETURNTRANSFER, 1);
        $data = curl_exec($post);
        curl_close($post);
        if (!$data) {
            $localexpiry = date("Ymd",mktime(0,0,0,date("m"),date("d")-($locdays+$checkfaildays),date("Y")));
            if ($originalcheckdate>$localexpiry) {
                $results = $lockeyresults;
            } else {
                $results["status"] = "Remote Check Failed";
                return $results;
            }
        } else {
            preg_match_all('/<(.*?)>([^<]+)<\/\\1>/i', $data, $matches);
            $results = array();
            foreach ($matches[1] AS $k=>$v) {
                $results[$v] = $matches[2][$k];
            }
        }
        if ($results["status"]=="Active") {
            $results["checkdate"] = $chdate;
            $data_encoded = serialize($results);
            $data_encoded = base64_encode($data_encoded);
            $data_encoded = md5($chdate.$secret_key).$data_encoded;
            $data_encoded = strrev($data_encoded);
            $data_encoded = $data_encoded.md5($data_encoded.$secret_key);
            $data_encoded = wordwrap($data_encoded,80,"\n",true);
            $results["localkey"] = $data_encoded;
        }
        $results["remotecheck"] = true;
    }
    unset($postfields,$data,$matches,$cubeurl,$secret_key,$chdate,$locdays,$checkfaildays,$md5hash);
    return $results;
}
// End Check Function
?>

<?php
// Get Key's from storage (retrieve from wherever it's stored - DB, file, etc...)
$lickey = "CUBE-4AMYKSHS88DYFJA";
$lockey = '9tjIwEDNwkDMwIjI6gjOztjIlRXYkt2Ylh2YioTO6M3OicmbpNnblNWasx1clNmc192cc5
WatRWYcd3d\n3xFNsVmY1NGXl12boxlOaJiOyQjOztjI5J3b0NWZylGZklGbhZnI6QTM6M3OiEjLw4CMu
cjMxIiO5ozc\n7ICcpRWasFmdiozN6M3OiQDblJWdj5yd3dHL0wWZiV3YiozNxozc7IibpFWbvRGZpxWY
2JiOxEjOztjI\n05WdvN2YBBSZlJnRiojMxozc7ISZsNWejdmbpxGbpJmI6ITM6M3OiADMtADMtADMwAj
I6ATM6M3OiUGd\nhRWZ1RGd4VmbioTMxozc7ISOw0CNw0SOwAjMioDMxozc7ISZ0FGZnVmciozN6M3Oiw
WYpJHVgUWZyZEI\n5FGRgUTMgQjdFJUVDRnchNERQJiOwMjOztjIl1WYuR3Y1R2byBnI6ETM6M3OiMTMi
ojM6M3OiQWa0NWd\nk9mcwJiO5ozc7ISdy5iclxmYtFmcANHdwlmcjN3byVmeiojMyozc7ICbpFWblJiO
1ozc7Iyd3d3dioDN\n6M3OiUWbh5WeuFGct92YioTMxozc7IyczN3czN3czN3czN3cgEWYhFWYhFWYhFW
YioTNyozc7ISZtFmb\nkVmclR3cpdWZyJiO0EjOztjIlZXa0NWQiojN6M3OiMXd0FGdzJiO2ozc7pzMxo
TY4ffdac186f0c9a07\nbde7bfaa17196929a976f5ee7b4d7a79710f797e72c2f2da';
		
$results = check_license($lickey,$lockey);

// For Debugging, Echo Results
echo $results["status"];

if ($results["status"]=="Active") {
    // Allow Script to Run
    if ($results["localkey"]) {
	    // Save Updated Local Key to DB or File
        $lockeydata = $results["localkey"];
    }
} elseif ($results["status"]=="Suspended") {
   echo $results["status"];
   exit;
} elseif ($results["status"]=="Remote Check Failed") {
   echo $results["status"];
   exit;
} elseif ($results["status"]=="Invalid") {
   echo $results["status"];
   exit;
}
?>